Bug 142550 - Update ftp/filezilla to 3.3.1
Summary: Update ftp/filezilla to 3.3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-09 23:50 UTC by Joseph S. Atkinson
Modified: 2010-01-12 01:20 UTC (History)
0 users

See Also:


Attachments
file.diff (2.17 KB, patch)
2010-01-09 23:50 UTC, Joseph S. Atkinson
no flags Details | Diff
filezilla_3.3.1v2.diff.txt (2.20 KB, text/plain)
2010-01-10 00:59 UTC, Joseph S. Atkinson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph S. Atkinson 2010-01-09 23:50:01 UTC
Updates FileZilla to the latest, including some bugfixes for *nix environments. Switch to using the now mandantroy unicode version of wx, and include new depend on xdg-utils.

Special thanks for the bsd.wx.mk magic that made updating the unicode bit painless.

Fix: Patch attached with submission follows:
Comment 1 Philip M. Gollucci freebsd_committer 2010-01-09 23:54:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 2 Philip M. Gollucci freebsd_committer 2010-01-10 00:19:42 UTC
State Changed
From-To: open->feedback

http://tb.p6m7g8.net//errors/9-CURRENT-amd64/filezilla-3.3.1.log
Comment 3 Joseph S. Atkinson 2010-01-10 00:59:31 UTC
Take 2:

Add the lone RUN_DEPENDS to the BUILD_DEPENDS.
Comment 4 Philip M. Gollucci freebsd_committer 2010-01-10 01:03:09 UTC
State Changed
From-To: feedback->open

feedback recieved
Comment 5 Philip M. Gollucci freebsd_committer 2010-01-12 01:12:40 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2010-01-12 01:12:41 UTC
pgollucci    2010-01-12 01:12:33 UTC

  FreeBSD ports repository

  Modified files:
    ftp/filezilla        Makefile distinfo pkg-plist 
  Log:
  - Update to 3.3.1
  
  Switch to using the now mandantroy unicode version of wx,
  and include new depend on xdg-utils.
  
  Special thanks for the bsd.wx.mk magic
  that made updating the unicode bit painless.
  
  PR:             ports/142550
  Submitted by:   "Joseph S. Atkinson" <jsa@wickedmachine.net>
  
  Revision  Changes    Path
  1.31      +4 -1      ports/ftp/filezilla/Makefile
  1.21      +3 -3      ports/ftp/filezilla/distinfo
  1.20      +4 -0      ports/ftp/filezilla/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"